Download it now!
Bug 122330 - Recording (tracking) changes will misjudged the editor when two accounts collaboratively editing the same file
Summary: Recording (tracking) changes will misjudged the editor when two accounts coll...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2018-12-26 05:09 UTC by Franklin Weng
Modified: 2019-03-14 14:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
CODE Writer misjudged the editor (214.23 KB, image/png)
2018-12-26 05:09 UTC, Franklin Weng
Details
Collaborative_editing_with_track_recording.png (188.55 KB, image/png)
2018-12-26 05:09 UTC, Franklin Weng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franklin Weng 2018-12-26 05:09:00 UTC
Created attachment 147827 [details]
CODE Writer misjudged the editor

When I opened an odt file in CODE and two people were editing this file at the same time, with "Track change -> Record" checked, the system would misjudged who typed which letters.  

In the attached file "track_changes" you can see that "My name is Kevin" should be typed by Kevin, but the letter "v" was marked as inputting by me.  We were not editing the same area at that time.  

In the attached file "collaborative_editing_with_track_recording" you can see that in the bottom of the screenshot, I typed "Test again with two accounts: Franklin and Kevin" but "F" and "e" was marked as inputting by Kevin.
Comment 1 Franklin Weng 2018-12-26 05:09:35 UTC
Created attachment 147828 [details]
Collaborative_editing_with_track_recording.png
Comment 2 Aron Budea 2018-12-27 15:41:06 UTC
I could reproduce this some time back, apparently it still exists, then. Confirming.
Comment 3 Michael Meeks 2019-03-14 14:17:45 UTC
Re-factor and fix pushed to master, should be out in a subsequent release. Thanks for filing =)